package com.sf.web.dms.statistics.bean;

package ..deTemp.1731159732209;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.sf.web.dms.statistics.service.CustomizeService;
import com.smartframework.web.core.bean.ISmartParaVO;
import com.smartframework.web.core.queryfilter.QueryFilter;
import com.smartframework.web.core.util.ParameterUtils;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class RtuOnlineDetialBean extends ISmartParaVO {
  private Long objId;
  
  private Date[] timeRange;
  
  public Long getObjId() {
    return this.objId;
  }
  
  public void setObjId(Long objId) {
    this.objId = objId;
  }
  
  public Date[] getTimeRange() {
    return this.timeRange;
  }
  
  public void setTimeRange(Object timeRange) {
    if (timeRange == null) {
      this.timeRange = null;
      return;
    } 
    if (timeRange instanceof String) {
      List<String> timeStringList = toStringList((String)timeRange);
      if (timeStringList.size() != 2) {
        this.timeRange = null;
      } else {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        try {
          this.timeRange = new Date[2];
          this.timeRange[0] = sdf.parse(timeStringList.get(0));
          this.timeRange[1] = sdf.parse(timeStringList.get(1));
        } catch (ParseException e) {
          e.printStackTrace();
        } 
      } 
    } else if (timeRange instanceof ArrayList) {
      ArrayList<String> tr = (ArrayList)timeRange;
      if (tr.size() != 2) {
        this.timeRange = null;
      } else {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        try {
          this.timeRange = new Date[2];
          this.timeRange[0] = sdf.parse(tr.get(0));
          this.timeRange[1] = sdf.parse(tr.get(1));
        } catch (ParseException e) {
          e.printStackTrace();
        } 
      } 
    } else {
      this.timeRange = null;
    } 
  }
  
  public QueryFilter getQueryFilter(String schema, String tableAlias) throws Exception {
    validate();
    QueryFilter queryFilter = new QueryFilter();
    if (!ParameterUtils.isEmptyOrNull(this.objId))
      queryFilter.addNumberFieldEqualCondition("obj_id", this.objId); 
    if (!ParameterUtils.isEmptyOrNull(this.timeRange)) {
      queryFilter.addDateFieldBetweenCondition("occur_time", this.timeRange[0], this.timeRange[1]);
    } else {
      Date[] defaultTimeRange = CustomizeService.queryDeafultTimeRange();
      queryFilter.addDateFieldBetweenCondition("occur_time", defaultTimeRange[0], defaultTimeRange[1]);
    } 
    queryFilter.setPageInfo(this.pageSize, this.pageIndex);
    return queryFilter;
  }
  
  public void validate() throws Exception {}
}
